apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: tdb-oauth-gateway
  namespace: tdb-oauth
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
    - hosts:
        - <<SITES>>
      port:
        number: 443
        name: https-tdb-oauth
        protocol: HTTPS
      tls:
        mode: SIMPLE
        credentialName: "tdb-oauth-tls"
    - hosts:
        - <<SITES>>
      port:
        name: http-tdb-oauth
        number: 80
        protocol: HTTP
